include rules.mk

PACKAGE =	MechanicalDesignFilenameFilter.java									\
			GeometricComputationException.java 									\
			OrthogonalDistanceRegression.java 									\
			TabletDataProcessor.java												\
			StrokeDataFactory.java												\
			TabletGUIBehavior.java   											\
			SequenceTerminal.java   											\
			StatisticsModule.java												\
			StrokeDataReader.java												\
			LoadStoreModule.java												\
			GeometricObject.java												\
			ParseSupervisor.java												\
			SpatialRelation.java												\
			ObjectManager.java  												\
			ControlModule.java  												\
			SpatialParser.java  												\
			Translatable.java     												\
			GraphicsUtil.java   												\
			GeometryUtil.java   												\
			NonTerminal.java    												\
			Blackboard.java     												\
			PolarPoint.java     												\
			StrokeData.java    													\
			TabletGUI.java    													\
			Paintable.java      												\
			Rotatable.java      												\
			Direction.java      												\
			LinearFit.java      												\
			Rectangle.java      												\
			Terminal.java       												\
			AWTUtil.java     	 												\
			Polygon.java        												\
			Ellipse.java        												\
			VisiPad.java        												\
			Ground.java         												\
			Filter.java         												\
			Spring.java          												\
			Tablet.java    														\
			Vertex.java         												\
			Shade.java          												\
			Cross.java          												\
			Motor.java          												\
			Point.java          												\
			Timer.java          												\
			Line.java															\
			Util.java															\
			Fit.java															\
			Pin.java							

one: $(PACKAGE:.java=.o)

all: $(PACKAGE)
	$(JAVA_COMPILER) $(JAVACFLAGS) -d $(CLDESTDIR) -classpath $(CLDESTDIR):$(CLASSPATH)  $(PACKAGE)
	touch $(PACKAGE:.java=.o)

clean:
	rm -f *.o *.class *~ core $(CLDESTDIR)/*.class parameters; more to-do

configure:
	mkdir -p $(CLDESTDIR)
